Solidus Auction
==============
[![Build Status](https://travis-ci.org/jgujgu/solidus_auction.svg?branch=master)](https://travis-ci.org/jgujgu/solidus_auction)

This extension adds auction items, bidding, views, and admin pages to an existing Solidus store. Namely, it allows the creation of auctions for specific store items. It retains the existing fulfillment flow.

Its bidding mechanism is similar to eBay's in that it allows bidders to submit very high bids that "autobid" for them, up to that original bid's price in increments set by the auction (or their opponents). See [eBay's explanation](http://pages.ebay.com/help/buy/bidding-overview.html#auto) for more details.

More specifically, when an auction completes, a `Spree::Variant` with the `Auction.current_price` and tied to the auction's `Spree::Product` gets created. This `Spree::Variant` differs from the normal kind because typically it needs an `option_value` (such as a size, `small`, `medium`, or `large`, in the bootstrap examples). However, `Solidus` still allows you to check out with a variant, regardless of whether or not it has `option_values`. Because of this, none of the typical checkout/fulfillment flow is effected by the auction.

  Preview Images
  ------------
  Index
  ![index](https://raw.githubusercontent.com/jgujgu/solidus_auction/master/auctions_index.png)
  Show
  ![show](https://raw.githubusercontent.com/jgujgu/solidus_auction/master/auction_show.png)
  Cart. Notice that for auction items, the delete button is nonexistent and the quantity button is disabled.
  ![cart](https://raw.githubusercontent.com/jgujgu/solidus_auction/master/auction_in_cart.png)
  Admin Index
  ![admin_index](https://raw.githubusercontent.com/jgujgu/solidus_auction/master/auctions_admin_index.png)
  Admin Edit
  ![edit](https://raw.githubusercontent.com/jgujgu/solidus_auction/master/auction_edit.png)

  Installation
  ------------

  Add solidus_auction to your Gemfile:

  ```ruby
  gem 'solidus_auction'
  ```

  Bundle your dependencies and run the installation generator:

  ```shell
  bundle
  bundle exec rails g solidus_auction:install
  ```

  Testing
  -------

  First bundle your dependencies, then run `rake`. `rake` will default to building the dummy app if it does not exist, then it will run specs, and [Rubocop](https://github.com/bbatsov/rubocop) static code analysis. The dummy app can be regenerated by using `rake test_app`.

  ```shell
  bundle
  bundle exec rake
  ```

  When testing your applications integration with this extension you may use it's factories.
  Simply add this require statement to your spec_helper:

  ```ruby
  require 'solidus_auction/factories'
  ```

  Copyright (c) 2018 [Jeffrey Gu], released under the New BSD License
